Bug 1251459 - Review Request: nodejs-pem - Create private keys and certificates with node.js and io.js
Review Request: nodejs-pem - Create private keys and certificates with node.j...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Piotr Popieluch
Fedora Extras Quality Assurance
: Reopened
Depends On: 1171000
Blocks: nodejs-reviews 1246749
  Show dependency treegraph
 
Reported: 2015-08-07 06:59 EDT by Parag Nemade
Modified: 2015-09-18 15:01 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.8.0-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-18 15:01:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
piotr1212: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Parag Nemade 2015-08-07 06:59:06 EDT
Spec URL: http://pnemade.fedorapeople.org//nodejs-pem.spec
SRPM URL: http://pnemade.fedorapeople.org//nodejs-pem-1.7.2-1.fc23.src.rpm

Description:
Create private keys and certificates with node.js and io.js.
Comment 1 Parag Nemade 2015-08-07 06:59:11 EDT
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=10634375
Comment 2 Piotr Popieluch 2015-08-16 10:02:27 EDT
This seems to depend on nodejs-which >= 1.0.8 while 1.0.5 is in rawhide.

You should either update nodejs-which or add a fixdep.


➜  rpmbuild  sudo dnf install /home/piotr/rpmbuild/RPMS/noarch/nodejs-pem-1.7.2-1.fc22.noarch.rpm
[sudo] password for piotr: 
Last metadata expiration check performed 3:21:29 ago on Sun Aug 16 12:36:02 2015.
Error: nothing provides npm(which) >= 1.0.8 needed by nodejs-pem-1.7.2-1.fc22.noarch
Comment 3 Parag Nemade 2015-08-17 02:33:37 EDT
looks like again URL issues. I have the updated package with me.
Spec URL: http://pnemade.fedorapeople.org/fedora-work/nodejs-pem.spec
SRPM URL: http://pnemade.fedorapeople.org/fedora-work/nodejs-pem-1.7.2-1.fc23.src.rpm
Comment 4 Piotr Popieluch 2015-08-17 15:22:06 EDT
Seems good now, APPROVED



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 3 files have unknown license. Detailed
     output of licensecheck in /home/piotr/rpmbuild/1251459-nodejs-
     pem/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-pem-1.7.2-1.fc24.noarch.rpm
          nodejs-pem-1.7.2-1.fc24.src.rpm
nodejs-pem.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-pem.noarch: W: spelling-error Summary(en_US) io -> oi, Io, ii
nodejs-pem.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-pem.noarch: W: spelling-error %description -l en_US io -> oi, Io, ii
nodejs-pem.noarch: W: only-non-binary-in-usr-lib
nodejs-pem.noarch: W: dangling-symlink /usr/lib/node_modules/pem/node_modules/which /usr/lib/node_modules/which
nodejs-pem.src: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-pem.src: W: spelling-error Summary(en_US) io -> oi, Io, ii
nodejs-pem.src: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-pem.src: W: spelling-error %description -l en_US io -> oi, Io, ii
2 packages and 0 specfiles checked; 0 errors, 10 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
nodejs-pem.noarch: W: invalid-url URL: https://github.com/andris9/pem <urlopen error [Errno -5] No address associated with hostname>
nodejs-pem.noarch: W: only-non-binary-in-usr-lib
nodejs-pem.noarch: W: dangling-symlink /usr/lib/node_modules/pem/node_modules/which /usr/lib/node_modules/which
1 packages and 0 specfiles checked; 0 errors, 3 warnings.



Requires
--------
nodejs-pem (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(which)



Provides
--------
nodejs-pem:
    nodejs-pem
    npm(pem)



Source checksums
----------------
http://registry.npmjs.org/pem/-/pem-1.7.2.tgz :
  CHECKSUM(SHA256) this package     : c8c1fc49a4e13d4a8c46778b05ed84f022d0a81f6a34cab9b5c958d7f4561ba8
  CHECKSUM(SHA256) upstream package : c8c1fc49a4e13d4a8c46778b05ed84f022d0a81f6a34cab9b5c958d7f4561ba8


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1251459
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 5 Parag Nemade 2015-08-17 23:51:31 EDT
Thanks for the review

New Package SCM Request
=======================
Package Name: nodejs-pem
Short Description: Create private keys and certificates with node.js and io.js
Upstream URL: https://github.com/andris9/pem
Owners: pnemade
Branches: f23
Comment 6 Gwyn Ciesla 2015-08-20 10:04:03 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2015-08-22 03:37:19 EDT
nodejs-pem-1.7.2-1.fc23 has been submitted as an update to Fedora 23. https://bugzilla.redhat.com/show_bug.cgi?id=1251459
Comment 8 Fedora Update System 2015-08-22 21:50:26 EDT
nodejs-pem-1.7.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update nodejs-pem'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-13975
Comment 9 Fedora Update System 2015-08-31 14:53:40 EDT
nodejs-pem-1.8.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update nodejs-pem'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14319
Comment 10 Fedora Update System 2015-09-18 15:01:13 EDT
nodejs-pem-1.8.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.